Bug 2885 - [UPDATE REQUEST] python 2.7.5
: [UPDATE REQUEST] python 2.7.5
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 00:07 MSD by Denis Silakov
Modified: 2013-10-23 12:56 MSD (History)
3 users (show)

See Also:
RPM Package: python
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-10-14 00:07:52 MSD
Python 2.7.5 is available with several regresiion fixes with respect to 2.7.4.
Comment 1 Denis Silakov 2013-10-14 00:09:32 MSD
Advisory:
Updated python2 to version 2.7.5 which contains several regression fixes to 2.7.4.

More details are available here: http://www.python.org/download/releases/2.7.5/

Build lists:
https://abf.rosalinux.ru/build_lists/1345914
https://abf.rosalinux.ru/build_lists/1345915
Comment 2 Vladimir Potapov 2013-10-18 18:25:10 MSD
The package route to extended testing
Comment 3 Postnikov Dmitry 2013-10-19 19:34:55 MSD
***************************
Extended testing report
***************************
Most programs run. Several programs generate errors, but they are associated with tkinter.

Tested program:

pylint
pymol
pysol (#1138)
scribus (#2950)
slune (#2951)
anki
arandr
auteur
bittorrent
bleachbit
bluefish
calibre
decibel-audio-player
deluge
eric
foobnix
ginkgo
hotot
istanbul
linkchecker
mayavi
mirage
mutagen
net_monitor
ntfs-config
oggconvert
patool
rednotebook
samuel
smem
snapfly
sos
tucan
upnp-inspector
webvi
youtube-dl
Comment 4 Denis Silakov 2013-10-20 00:11:58 MSD
pysol was last updated in 2003, slune - in 2005. So maybe we should just drop them from repositories.

As for scribus scripts, it's interesting if they work with current python-2.7.4?
Comment 5 Vladimir Potapov 2013-10-21 04:36:00 MSD
(In reply to comment #4)
> pysol was last updated in 2003, slune - in 2005. So maybe we should just
> drop them from repositories.
> 
> As for scribus scripts, it's interesting if they work with current
> python-2.7.4?
I check, it's no regression
Comment 6 Vladimir Potapov 2013-10-21 04:38:17 MSD
python-2.7.5-3-rosa2012.1
********************* Advisory *******************
Updated python2 to version 2.7.5 which contains several regression fixes to 2.7.4.
**************************************************
QA Verified